List purchases
curl --request GET \
--url https://api.managem.co.uk/user/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/user/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/user/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"customerEmailAddress": "jsmith@example.com",
"deliveryCharge": 123,
"deliveryAddress": {
"name": "<string>",
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"subtotal": 123,
"total": 123,
"serviceFee": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sellers": 123,
"status": "ACTIVE",
"invoiceId": "<string>"
}
]Purchases
List purchases
List purchases for the authenticated buyer.
Use this endpoint for purchase history overview pages.
Query behavior:
- Supports pagination and sorting by creation/update timestamps.
- Page size is capped at 50.
- Useful for infinite-scroll and paged table UIs.
Response behavior:
- Returns purchase summaries, not full order-level detail.
- Includes derived seller-count information for each purchase.
- Use the purchase
idfrom this list with the purchase detail endpoint for deep inspection.
GET
/
user
/
purchases
List purchases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, defaults to 1
Required range:
x >= 1Results per page, defaults to 20
Required range:
1 <= x <= 50Field to sort by
Available options:
createdAt, updatedAt Sort direction
Available options:
asc, desc Response
200 - application/json
User purchases
Unique identifier for the purchase
Email address used for the purchase
Delivery charge in pence
Address where the order should be delivered
Show child attributes
Show child attributes
Subtotal in pence
Total in pence
Service fee in pence
Timestamp when the purchase was created
Timestamp when the purchase was last updated
Number of orders in the purchase
Purchase status
Available options:
ACTIVE, REFUNDED, COMPLETED Invoice identifier generated for the purchase